Library Version 18.1.40

DB->get_slices()
Prev | Chapter 2. The DB Handle | Next

## DB->get_slices()

    #include <db.h>

    int
    DB->get_slices(DB *db, DB ***slicepp);

The `DB->get_slices()` method returns a NULL-terminated array of slice databases. Each element in the array represents one slice. Note that you should not explicitly close these database handles; each slice database is automatically closed when the parent database handle is closed.

The `DB->get_slices()` method may be called at any time during the life of the application.

The `DB->get_slices()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### slicepp

The `DB->get_slices()` method returns a reference to a NULL-terminated array of slice databases in slicepp.

### Class

DB

### See Also

Database and Related Methods

Prev | Up | Next
DB->get_re_source() | Home | DB->get_type()